Bug 75336

Summary: ImageMagick-devel 5.4.7-5 lacks api.h (at least)
Product: [Retired] Red Hat Linux Reporter: Javier Ros <jros>
Component: ImageMagickAssignee: wdovlrrw <brosenkr>
Status: CLOSED DUPLICATE QA Contact: Mike McLean <mikem>
Severity: high Docs Contact:
Priority: high    
Version: 8.0CC: ericb
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2002-10-08 21:32:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
patch for spec file none

Description Javier Ros 2002-10-07 13:22:21 UTC
Description of Problem:

The ImageMagick-devel package lacks the proper header files, at least
magick/api.h, so it is not posible to compile.

Version-Release number of selected component (if applicable):

5.4.7-5

How Reproducible:

Look for api.h, you will not found it.

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Eric Bourque 2002-10-08 04:16:09 UTC
I have found the same problem, and also noted that there was no (easy) way to
get the IM-devel, IM-c++, IM-c++-devel rpms installed after doing a vanilla
workstation install. I looked for them in the add/remove packages, but could not
find them under any of the categories. I ended up building them from the srpm on
disc 4 or 5 and then installing them. Did I miss something?

As for the missing headers, I will look at the spec file tomorrow and see why
the headers are not being included, and include a patch.

Cheers,

Eric

Comment 2 Eric Bourque 2002-10-08 21:32:35 UTC
Created attachment 79504 [details]
patch for spec file

Comment 3 Nils Philippsen 2002-10-11 18:18:29 UTC

*** This bug has been marked as a duplicate of 74521 ***